Subject: bug#36319: closed (Re: bug#36319: Static parted distributed via gnu.org does not work)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Jun 2019 23:00:03 +0000

Your bug report

#36319: Static parted distributed via gnu.org does not work

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36319: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36319
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36319: Static parted distributed via gnu.org does not work
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Tue, 25 Jun 2019 15:58:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jun 21, 2019 at 11:34:27AM +1200, Alex King wrote:
> I wanted a later parted than comes with the machine I am working on.  So I
> downloaded it, but it seems it has a bug related to temp file usage, or
> perhaps some kind of synchronization error?:

Why aren't you using the version provided with Debian? I'm not sure
exactly which version wheezy included, but I'm sure it was newer than
1.8.1 and buster has 3.2

https://packages.debian.org/search?keywords=parted&searchon=names&suite=all&section=all

The version you are trying to use is ancient, and I would not recommend
using it at all.

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted

Subject: Static parted distributed via gnu.org does not work
From: Alex King <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jun 2019 11:34:27 +1200
List-Id: <debbugs-submit.debbugs.gnu.org>

I wanted a later parted than comes with the machine I am working on.  So I 
downloaded it, but it seems it has a bug related to temp file usage, or 
perhaps some kind of synchronization error?:

# lsb_release -a
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 7.11 (wheezy)
Release:	7.11
Codename:	wheezy
# uname -a
Linux dal8 3.2.0-4-amd64 #1 SMP Debian 3.2.84-1 x86_64 GNU/Linux
# wget https://ftp.gnu.org/gnu/parted/static/parted-1.8.1-static
# md5sum parted-1.8.1-static
def7525b360666c654c7d1bb4d89d2a7  parted-1.8.1-static
# chmod +x parted-1.8.1-static
# ./parted-1.8.1-static
parted-1.8.1-static: can't open file '/tmp/upxA0DIZXFAYFN (deleted)'

I tried this on another machine:

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 10 (buster)
Release:	10
Codename:	buster
$ uname -a
Linux high 4.18.0-2-amd64 #1 SMP Debian 4.18.10-2 (2018-10-07) x86_64 GNU/Linux
$ wget http://wlglam.fsmg.org.nz/pub/gnu/parted/static/parted-1.8.1-static
$ md5sum parted-1.8.1-static
def7525b360666c654c7d1bb4d89d2a7  parted-1.8.1-static
$ chmod +x parted-1.8.1-static
$ sudo ./parted-1.8.1-static
parted-1.8.1-static: can't open file '/tmp/upxCOKJJYTAFQ1 (deleted)'

Thanks,
Alex King
RimuHosting Support